%define     	tarversion  1_5_2
%define     	starversion 1_5
%define     	tarname     xerces-c-src%{tarversion}
%define 	name 	    xerces-c
%define         version     1.5.2
%define         release     1mdk
%define 	major       1.5

# RH 7.0
%define		manualdir /var/www/html/xerces-manual/
# RH 6.x

Name: 			%{name}
Summary: 		XML parser
Group:			Development/Other
Version: 		%{version}
Release: 		%{release}
License: 		Apache License
Source: 		http://xml.apache.org/dist/xerces-c/stable/%{tarname}.tar.bz2
Patch:			xerces-c-%{version}-version.patch.bz2
URL: 			http://xml.apache.org/xerces-c/
BuildRoot:  		%{_tmppath}/%{name}-%{version}-root

%description
Xerces-C is a validating XML parser written in a portable subset of C++.
Xerces-C makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents

%package -n lib%{name}%{major}
Group:			Development/Other
Summary: 		Libraris for XML parser for developer

%description -n lib%{name}%{major}
Xerces-C is a validating XML parser written in a portable subset of C++.
Xerces-C makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents

%package -n lib%{name}%{major}-devel
Requires: 		lib%{name}%{major} = %{version}
Provides:		%{name}-devel = %{version} lib%{name}-devel = %{version}
Group:			Development/Other
Summary: 		XML parser for developer

%description -n lib%{name}%{major}-devel
Xerces-C is a validating XML parser written in a portable subset of C++.
Xerces-C makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents

%package manual
Group: 		Development/Other
Requires: 	webserver
Summary: 	Online manual for Xerces-C

%description manual
Documentation for Xerces-C, viewable through your web server, too!

%prep 
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{tarname}
%patch -p1 -b .vesion

%build
export XERCESCROOT=$RPM_BUILD_DIR/%{tarname}
cd src
autoconf
chmod a+x configure
sh ./runConfigure -plinux -cgcc -xg++ -minmem -nfileonly -tnative -P /usr  -C "--includedir=/usr/include/xerces"
export XMLFLAGS="-DXML_USE_NATIVE_TRANSCODER -DXML_USE_INMEM_MESSAGELOADER"
#{make CFLAGS="$XMLFLAGS $RPM_OPT_FLAGS" CXXFLAGS="$XMLFLAGS $RPM_OPT_FLAGS"
make 

(cd $XERCESCROOT/lib && rm -f libxerces-c.so.1 && ln -s libxerces-c.so.%{version} libxerces-c.so.1)
(cd $XERCESCROOT/lib && rm -f libxerces-c.so && ln -s libxerces-c.so.%{version} libxerces-c.so)

cd $XERCESCROOT/samples 
chmod a+x configure                   # yves 1.5.2-1mdk
sh ./runConfigure -plinux -cgcc -xg++ # -minmem -nfileonly -tnative -P /usr  -C "--includedir=/usr/include/xerces"
#{make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
make 

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/xerces
mkdir -p $RPM_BUILD_ROOT/var/www/html
#mkdir -p $RPM_BUILD_ROOT/%{manualdir}

cd src
export XERCESCROOT=$RPM_BUILD_DIR/%{tarname}
make install PREFIX=$RPM_BUILD_ROOT/usr PREFIX_INCLUDE=$RPM_BUILD_ROOT/%{_includedir}/xerces
cd ..

rm -rf bin/obj
install -m 755 bin/*  $RPM_BUILD_ROOT%{_bindir}
#cp -r doc/html/*  $RPM_BUILD_ROOT/%{manualdir}
#rm -rf doc/html

install -m 755 lib/libxerces-c.so.%{version} $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-manual-%{version}/html/
cd $RPM_BUILD_ROOT%{_libdir} && rm -f libxerces-c.so.1 && ln -s libxerces-c.so.%{version} libxerces-c.so.1; cd -
cd $RPM_BUILD_ROOT%{_libdir} && rm -f libxerces-c.so && ln -s libxerces-c.so.%{version} libxerces-c.so; cd -
cd $RPM_BUILD_ROOT/var/www/html && ln -sf ../../..%{_docdir}/%{name}-manual-%{version}/html/ xerces-manual; cd -

%post -n lib%{name}%{major} -p /sbin/ldconfig

%postun -n lib%{name}%{major} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%doc LICENSE STATUS Readme.html  credits.txt
%{_bindir}/*

%files -n lib%{name}%{major}
%defattr(644,root,root)
%doc LICENSE STATUS Readme.html  credits.txt
%attr(755,root,root)  %{_libdir}/*.so.*

%files -n lib%{name}%{major}-devel
%defattr(644,root,root)
%doc LICENSE STATUS Readme.html  credits.txt
%attr(755,root,root)  %{_libdir}/*.so
%attr(-,root,root)  %{_includedir}/xerces

%files manual
%defattr(-,root,root)
%doc doc/* LICENSE STATUS Readme.html  credits.txt
/var/www/html/*

%changelog
* Wed Nov 21 2001 Yves Duret <yduret@mandrakesoft.com> 1.5.2-1mdk
- version 1.5.2
- rediff patch0
- fix sample build
- spec clean up
- rpmlint : one-line-command-in-%%post(un) ldconfig

* Mon Oct 15 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.1-5mdk
- Place html manual in /var/www/html/xerces-manual.

* Thu Oct 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.1-4mdk
- Fix manual files, was corrupted. 

* Tue Oct 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.5.1-3mdk
- Fix manual location, was conflicting with apache.

* Thu Sep 06 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.1-2mdk
- fix devel, and manual

* Tue Aug 28 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.1-1mdk
- new version

* Tue Jun 26 2001 Warly <warly@mandrakesoft.com> 1.5.0-2mdk
- clear lib and devel package

* Mon Jun 25 2001 Warly <warly@mandrakesoft.com> 1.5.0-1mdk
- libification
- add soname

* Mon Mar  5 2001 Philippe Libat <philippe@mandrakesoft.com> 1.4.0-1mdk
- MandrakeSoft adaptations

* Fri Feb 01 2001 Henri Gomez <hgomez@slib.fr>
- xerces-c 1.4.0
- compiled on Redhat 6.2 with updates and rpm 3.0.5

* Fri Nov 17 2000 Henri Gomez <hgomez@slib.fr>
- RPM Release 3
- renamed xerces-c-doc to xerces-c-manual (follow apache RPM naming)
- compiled on Redhat 6.1 with updates
- prepare transition to RH 7.0 new document root (/var/www)

* Sat Oct 07 2000 Henri Gomez <hgomez@slib.fr>
- RPM release 2
- cleanup spec file (group Documentation)
- compiled on Redhat 6.2 with updates

* Mon Oct 02 2000 Henri Gomez <hgomez@slib.fr>
- xerces-c 1.3.0 
- Initial RPM release
- new name for package (xerces-c) to follow naming of xerces-j
- documentation go in a new package doc (comme xerces-j)
- fixed bad soname (many patches around Makefiles)
- compiled on Redhat 6.1 with updates
